.m-brand .m-brand__tools {
    text-align: left;
}

.m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__link-icon, .m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-icon{
	text-align: right;
}

.m-tabs-line .m-tabs__item:last-child {
    margin-right: 30px;
}

.nav.nav-pills .nav-item:first-child, .nav.nav-tabs .nav-item:first-child {
    margin-right: 0;
}
.nav{
	padding-right: 0px;
}


.m-topbar{
	float: left;
}

.m-topbar .m-topbar__nav.m-nav {
    margin: 0 30px 0 20px;
}

.mr-auto {
    margin-right: 0!important;
    margin-left: auto !important;
}

.ml-auto {
    margin-left: 0!important;
    margin-right: auto !important;
}


.m-subheader .m-subheader__title.m-subheader__title--separator {
    border-left: 1px solid #e2e5ec;
    border-right: 0;
}
.m-subheader .m-subheader__title {
    display: inline-block;
    padding: 7px 0 7px 25px;
    margin: 0 0 0 15px;

}
.m-aside-menu .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-bullet, .m-aside-menu .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-bullet {
    text-align: right;
}
.m-portlet .m-portlet__head .m-portlet__head-caption .m-portlet__head-title .m-portlet__head-icon{
	padding: 0 0 0 13px;
}
th {
    text-align: right;
}

.bootstrap-select.btn-group .dropdown-toggle .filter-option{
	text-align: right;
	float: right;
}
.bootstrap-select.btn-group > .dropdown-toggle:after{
	right: auto;
	left: 2.1rem;
}

.bootstrap-select.btn-group .dropdown-menu.inner > li.selected > a span.check-mark{
	right: auto;
	left: 1.25rem;
}
.bootstrap-select.btn-group .dropdown-menu.inner > li.selected > a,
.bootstrap-select.btn-group .dropdown-menu.inner > li > a{
	text-align: right;
}

.m-radio, .m-checkbox{
	padding-left: auto;
	padding-right: 30px;
}
.m-radio > span, .m-checkbox > span{
	left: auto;
	right: 0px;
}

.m-dropdown.m-dropdown--align-right .m-dropdown__wrapper{
	right: auto;
	left: 0px;
}

.m-nav > .m-nav__item > .m-nav__link .m-nav__link-icon,
.m-nav > .m-nav__item > .m-nav__link .m-nav__link-text,
.m-card-user .m-card-user__details,
.m-nav > .m-nav__item
{
	text-align: right;
}

.m-portlet .m-portlet__head .m-portlet__head-tools .m-portlet__nav{
	float: left;
}

.m-widget21 .m-widget21__item .m-widget21__info{
	text-align: right;
}

.m-aside-menu .m-menu__nav .m-menu__item.m-menu__item--open > .m-menu__heading > .m-menu__ver-arrow:before, .m-aside-menu .m-menu__nav .m-menu__item.m-menu__item--open > .m-menu__link > .m-menu__ver-arrow:before {
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-transform: rotateZ(-90deg);
    -moz-transform: rotateZ(-90deg);
    -ms-transform: rotateZ(-90deg);
    -o-transform: rotateZ(-90deg);
    transform: rotateZ(-90deg);
}

.m-list-timeline__items .m-list-timeline__item:first-child:before, .m-list-timeline__items .m-list-timeline__item:last-child:before{
	left: auto;
	right: 3px;
}
.m-list-timeline__items .m-list-timeline__item .m-list-timeline__text,
.m-list-timeline__items .m-list-timeline__item .m-list-timeline__badge{
	text-align: right;
}

.m-list-timeline__items .m-list-timeline__item .m-list-timeline__badge:before{
	left: auto;
	right: 0px;
}
.m-list-timeline__items .m-list-timeline__item .m-list-timeline__time{
	text-align: left;
}

.m-list-timeline__items:before{
	left: auto;
	right: 3px;
}
.bootstrap-select.btn-group .dropdown-menu li{
	text-align: right;
}

.input-group .form-control:not(:last-child), .input-group-addon:not(:last-child), .input-group-btn:not(:last-child) > .btn, .input-group-btn:not(:last-child) > .btn-group > .btn, .input-group-btn:not(:last-child) > .dropdown-toggle, .input-group-btn:not(:first-child) > .btn:not(:last-child):not(.dropdown-toggle), .input-group-btn:not(:first-child) > .btn-group:not(:last-child) > .btn {
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;

    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.input-group .form-control:not(:first-child), .input-group-addon:not(:first-child), .input-group-btn:not(:first-child) > .btn, .input-group-btn:not(:first-child) > .btn-group > .btn, .input-group-btn:not(:first-child) > .dropdown-toggle, .input-group-btn:not(:last-child) > .btn:not(:first-child), .input-group-btn:not(:last-child) > .btn-group:not(:first-child) > .btn {
    border-top-left-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;

    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}


.input-group-addon:not(:last-child) {
     border-right: 1px solid rgba(0, 0, 0, 0.15); 
}



.m-timeline-1 .m-timeline-1__items .m-timeline-1__item.m-timeline-1__item--left .m-timeline-1__item-circle {
	right: auto;
    left: 0;
    transform: translate(-54%, 0);
    top: 1.57rem;
}
.m-timeline-1 .m-timeline-1__items .m-timeline-1__item.m-timeline-1__item--left {
    right: 0;
    left: auto;
    padding-left: 2.85rem;
    padding-right: auto;
}
.m-timeline-1 .m-timeline-1__items .m-timeline-1__item.m-timeline-1__item--right {
    left: auto;
    right: 50%;
    padding-right: 2.86rem;
    padding-left: auto;
}

.m-timeline-1 .m-timeline-1__items .m-timeline-1__item.m-timeline-1__item--right .m-timeline-1__item-circle {
    left: auto;
    right: 0;
    transform: translate(46%, 0);
}


@media (min-width: 993px){
	.m-header-menu {
	    float: right;
	}
	.m-header-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__hor-arrow {
	    text-align: left;
	}
	.m-header-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-icon,
	.m-header-menu .m-menu__nav > .m-menu__item .m-menu__submenu > .m-menu__subnav > .m-menu__item > .m-menu__link .m-menu__link-icon
	{
		text-align: right;
	}
	.m-header-menu .m-menu__nav > .m-menu__item .m-menu__submenu.m-menu__submenu--left{
		left: auto;
		right: 0px;
	}
	.m-header-menu{
		margin: 0 10px 0 0;
	}
	.m-header-menu .m-menu__nav.m-menu__nav--submenu-arrow > .m-menu__item.m-menu__item--submenu.m-menu__item--hover > .m-menu__submenu > .m-menu__arrow{
		right: 73px;
		left: auto !important;
		margin-left: auto;
		margin-right: -20px;
	}

	.m-footer--push.m-aside-left--enabled:not(.m-footer--fixed) .m-footer{
		margin-left: auto;
		margin-right: 255px;
	}

	.m-aside-left--minimize .m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-title .m-badge{
		right: auto;
		left: -19px;
	}
	.m-aside-left--minimize .m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-title{
		left: auto;
		right: -50%;
	}
}

@media (min-width: 1200px){
	.row.m-row--col-separator-xl > div {
	    border-bottom: 0;
	    border-right: 0;
	    border-left: 1px solid #ebedf2;
	}

}

.btn-group.dropleft{
	display: inline-block;
}
.btn-group.dropleft .btn-accent{
	float: left;
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}
.btn-group.dropleft .btn-accent.actions-buttons{
	border-top-right-radius: 0.25rem !important;
	border-bottom-right-radius: 0.25rem !important;
}
.row {
    margin-right: -0.75rem;
    margin-left: -0.75rem;
}
.row:before{
	display: table;
    content: " ";
}
.row:after{
	clear: both;
}
.col-xs-4 {
    width: 33.33333333%;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
}
.col-xs-6 {
    width: 50%;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
}
.col-xs-8 {
    width: 66.66666667%;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
}
.col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
    float: left;
}
.m-table select,.m-table .input-group,.m-table .btn-group{
	margin-bottom: 5px;
}
.rules_block_st .rule-parent{
	position: relative;
}
.rules_block_st .rule-parent .remove-rule{
	position: absolute;
	top: 10px;
	height: 38px;
	width: 38px;
	left: 10px;
}
.rules_block_st .rule-parent select{
	height: 38px !important;
}
.rule-parent{
	padding: 10px 10px 5px 60px;
	border-radius: 5px;
	background-color: #f8f8fb;
}
.rules_block_st .select2{
	width: 100% !important; 
}
select.form-control{
	padding-top: 6px;
	padding-bottom: 6px;
}

.m-aside-menu.m-aside-menu--skin-light{
	background-color: #392447;
	color: white;
}
.m-aside-left.m-aside-left--skin-light{
	background-color: #392447;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-text{
	color: white;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__link-icon, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-icon{
	color: white;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__ver-arrow, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__ver-arrow{
	color: white;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-text{
	color: white;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-bullet.m-menu__link-bullet--dot > span, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-bullet.m-menu__link-bullet--dot > span{
	color: white;
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--open > .m-menu__heading .m-menu__ver-arrow, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__ver-arrow{
	color: white;
}
.m-aside-menu .m-menu__nav > .m-menu__item {
	border-bottom: 1px solid rgb(82 82 82 / 43%);
}
.m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item:hover > .m-menu__heading, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item:hover > .m-menu__link:hover{
	background-color: rgba(114, 98, 128, 0.84);
	color: white;
}
m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item:hover > .m-menu__heading, .m-aside-menu.m-aside-menu--skin-light .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item:hover > .m-menu__link span:hover{
	color: white;
}
.m-brand.m-brand--skin-light .m-brand__tools .m-brand__toggler span{
	background: white;
}
.m-brand.m-brand--skin-light .m-brand__tools .m-brand__toggler span:after{
	background: white;
}
.m-brand.m-brand--skin-light .m-brand__tools .m-brand__toggler span:before{
	background: white;
}
.m-brand.m-brand--skin-light{
	background-color: #392447;
}
.m-stack.m-stack--desktop.m-stack--ver > .m-stack__item.m-stack__item--fluid{
	background-color: #392447 !important;
}
.m-header-menu.m-header-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-icon{
	color: white;
}
.m-header-menu.m-header-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-text{
	color: white;
}
.m-content--skin-light2 .m-body{
	background-color: #def1ff;
}
.m-header-menu.m-header-menu--skin-light .m-menu__nav > .m-menu__item:hover > .m-menu__link .m-menu__link-text, .m-header-menu.m-header-menu--skin-light .m-menu__nav > .m-menu__item.m-menu__item--hover > .m-menu__link .m-menu__link-text:hover{
	color: #7ce1ff;
}
.m-header-menu.m-header-menu--skin-light .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-icon:hover{
	color: white;
}
.m-header-menu .m-menu__nav > .m-menu__item > .m-menu__link:hover{
	color: white;
}

.thead-default th{
	background-color: #392447;
	color: white;
}
.m-portlet__head{
	background-color: #392447;
}
.m-portlet .m-portlet__head .m-portlet__head-caption .m-portlet__head-title .m-portlet__head-icon{
	color: white;
}
.m-portlet .m-portlet__head .m-portlet__head-caption .m-portlet__head-title .m-portlet__head-text{
	color: white;
}
.m-portlet .m-portlet__head .m-portlet__head-tools .m-portlet__nav .m-portlet__nav-item .m-portlet__nav-link.m-portlet__nav-link--icon [class^="fa-"], .m-portlet .m-portlet__head .m-portlet__head-tools .m-portlet__nav .m-portlet__nav-item .m-portlet__nav-link.m-portlet__nav-link--icon [class*=" fa-"]{
	color: white;
}
.m-btn--custom{
	background-color: #392447;
}
.btn-outline-accent.m-btn--air, .btn-accent.m-btn--air, .m-btn--gradient-from-accent.m-btn--air{
	box-shadow: 0px 5px 10px 2px #392447;
}
.btn-accent{
	border-color: #392447;
}
.btn-outline-accent.m-btn--air.focus, .btn-outline-accent.m-btn--air:focus, .btn-outline-accent.m-btn--air:hover, .btn-accent.m-btn--air.focus, .btn-accent.m-btn--air:focus, .btn-accent.m-btn--air:hover, .m-btn--gradient-from-accent.m-btn--air.focus, .m-btn--gradient-from-accent.m-btn--air:focus, .m-btn--gradient-from-accent.m-btn--air:hover{
	box-shadow: 0px 5px 10px 2px #392447;
}
.btn-accent:hover{
	border-color: #392447;
	background-color: #432e53;
}
.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link{
	background-color: #392447;
	border-color: #ddd #ddd #fff;
	color: white;
}
.m-tabs-line.m-tabs-line--info.nav.nav-tabs .nav-link:hover, .m-tabs-line.m-tabs-line--info.nav.nav-tabs .nav-link.active, .m-tabs-line.m-tabs-line--info a.m-tabs__link:hover, .m-tabs-line.m-tabs-line--info a.m-tabs__link.active{
	color: white;
	border-bottom: 1px solid #b570e6;
}
.m-tabs-line.nav.nav-tabs .nav-link, .m-tabs-line a.m-tabs__link{
	color: #c5c6c7;
}
.btn-group > .btn:not(:first-child):not(:last-child):not(.dropdown-toggle){
	background-color: #392447;
}
.btn-accent{
	background-color: #392447;
}
.m-badge.m-badge--brand{
	background-color: #392447;
	color: #ffffff;
}
.note-btn{
	background: none !important;
}
.btn.m-btn--hover-accent:hover, .btn.m-btn--hover-accent.active, .btn.m-btn--hover-accent:active, .btn.m-btn--hover-accent:focus, .show > .btn.m-btn--hover-accent.dropdown-toggle{
	border-color: #392447 !important;
	color: #ffffff !important;
	background-color: #392447 !important;
}

.nav.nav-pills .nav-link{
	color: white;
}